# Uses of Interface
net.shibboleth.shared.xml.ParserPool

Packages that use ParserPool
Package
Description
net.shibboleth.shared.spring.factory
Spring factory beans.
net.shibboleth.shared.xml.impl
XML implementation classes.

## Uses of ParserPool in net.shibboleth.shared.spring.factory

Fields in net.shibboleth.shared.spring.factory declared as ParserPool
Modifier and Type
Field
Description
`private ParserPool`
DOMDocumentFactoryBean.`parserPool`
Parser pool to use when parsing the document.
Methods in net.shibboleth.shared.spring.factory with parameters of type ParserPool
Modifier and Type
Method
Description
`void`
DOMDocumentFactoryBean.`setParserPool(ParserPool pool)`
Sets the parser pool to be used to parse the file.

## Uses of ParserPool in net.shibboleth.shared.xml.impl

Classes in net.shibboleth.shared.xml.impl that implement ParserPool
Modifier and Type
Class
Description
`class`
`BasicParserPool`
A pool of JAXP 1.3 `DocumentBuilder`s.
Fields in net.shibboleth.shared.xml.impl declared as ParserPool
Modifier and Type
Field
Description
`private final ParserPool`
BasicParserPool.DocumentBuilderProxy.`owningPool`
Pool that owns this parser.
Methods in net.shibboleth.shared.xml.impl that return ParserPool
Modifier and Type
Method
Description
`protected ParserPool`
BasicParserPool.DocumentBuilderProxy.`getOwningPool()`
Gets the pool that owns this parser.